
%%%%  Rieenie PA regulatora - pripad 1 %%%%

function HTMLout = pr9a(in,out)
%%% Spustenie polynomickeho toolboxu matlab webserverom
pinit_mws;
%imdir = 'D:/www/images';
%imdir = 'E:/www/images/';
cd (in.mldir);
mlid = in.mlid;
%wscleanup('*.jpeg',0.2,imdir);
%fout=figure('visible','off');
%%%========================================================================
errorcode=0;
%%% Kontrola zadanch parametrov
if ( isempty(in.cit) | isempty(in.men) | isempty(in.cs)),
	out.errormsg='Vyplte vo formulri iadan poloky!';
	errorcode=1;
end
%%%========================================================================
if (errorcode==0)
%%% Natanie dt z formulra
cit = in.cit;
men = in.men;
cs = in.cs;
%n = in.n;

%%% Prevod vektora na polynom
cit = str2num(cit);
men = str2num(men);
cs = str2num(cs);
%n = str2double(n);
%==========================================================================
%%% Vypocet v Matlabe
b = poly2sym(cit,'s');   %b = s + 6
a = poly2sym(men,'s');   %a = s^2 + 5*s + 6
c = poly2sym(cs,'s');    %c = 1 + s
%c = (poly2sym(c,'s')^n);
%c = sym2poly(c);
%c = poly2sym(c,'s');

if(in.vypocet == '1' )
    [xx,yy] = axbyc(a,b,c);
    x=pol2mat(xx);
    y=pol2mat(yy);
    %f = 0;
    %g = 0;
    popis =('Rieenie diofantickej rovnice je minimlneho stupa');
end

if(in.vypocet == '2' )
    [xx,yy] = axbyc(a,b,c, 'minx');
    x=pol2mat(xx);
    y=pol2mat(yy);
    %f = 0;
    %g = 0;
    popis =('Rieenie diofantickej rovnice pri mnimalizovan stupa polynmu x(s)');
end

if(in.vypocet == '3' )
    [xx,yy] = axbyc(a,b,c, 'miny');
    x=pol2mat(xx);
    y=pol2mat(yy);
    %f = 0;
    %g = 0;
    popis =('Rieenie diofantickej rovnice pri mnimalizovan stupa polynmu y(s)');
end

%if(in.vypocet == '4' )
    %[xx,yy,ff,gg] = axbyc(a, b, c);
    %x=pol2mat(xx);
    %y=pol2mat(yy);
    %f=pol2mat(ff);
    %g=pol2mat(gg);
    %popis =('Veobecn rieenie diofantickej rovnice v tvare x(s)+f(s)t(s), y(s)+g(s)t(s) pre ubovon polynomick parameter t(s)');
    %end


%==========================================================================
%%% Vstupn dta
%out.popis = popis;
out.cit = sprintf('[%s]',num2str(cit));
out.men = sprintf('[%s]',num2str(men));
out.cs = sprintf('[%s]',num2str(cs));
%out.n = n;
out.C = pol2html(cs);
out.B = pol2html(cit);
out.A = pol2html(men);
out.x = pol2html(x);
out.y = pol2html(y);
%out.f = pol2html(f);
%out.g = pol2html(g);
out.popis = popis;
%==========================================================================

%%% Vytlaenie a uloenie grafu do adresra images
%WhWr = sprintf('d:/www/images/obr1_%s.jpeg',mlid);
%WhWr = sprintf('e:/www/images/obr1_%s.jpeg',mlid);
%print(fout,'-djpeg',WhWr,'-r66.6');
%out.GraphFileName = sprintf('/images/obr1_%s.jpeg',mlid);

%%% Predanie dajov programu matweb.exe, ktor odovzd vstupn ablonu 'out_pr1.html' www serveru
templatefile = which('out_pr9a.html');
if (nargin == 1)
   	HTMLout = htmlrep(out, templatefile);
elseif (nargin == 2)
   	HTMLout = htmlrep(out, templatefile, outfile);
end

else
%%% Predanie dajov o chybe programu matweb.exe, ktor odovzd vstupn ablonu 'error_pr1.html' www serveru      
templatefile = which('error_pr9a.html');
if (nargin == 1)
   	HTMLout = htmlrep(out, templatefile);
elseif (nargin == 2)
   	HTMLout = htmlrep(out, templatefile, outfile);
end
end